<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.younike.system.mapper.OrderRecordMapper">
    <select id="getOrderRecordList" parameterType="OrderRecord" resultMap="OrderRecordResult">
        select id, order_id, pre_state, now_state, create_by, create_time,operate_info from order_record
        where order_id = #{orderId}
        order by create_time asc
    </select>

    <!--查询订单追踪记录列表-->
    <select id="getMemberOrderRecord" resultType="com.younike.system.domain.vo.OrderRecordVo">
        SELECT
        id,
        order_id,
        pre_state,
        now_state,
        create_by,
        create_time,
        operate_info
        FROM order_record
        WHERE order_id = #{orderId}
        ORDER BY create_time, now_state
    </select>
</mapper>